Bug 819406 - [abrt] evince-3.4.0-2.fc17: gtk_printer_option_get_type: Process /usr/bin/evince was killed by signal 11 (SIGSEGV)
[abrt] evince-3.4.0-2.fc17: gtk_printer_option_get_type: Process /usr/bin/evi...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marek Kašík
Fedora Extras Quality Assurance
abrt_hash:33ec806d7a52f0df6a222f70a3f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 02:44 EDT by Stef Walter
Modified: 2013-08-01 01:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:07:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.75 KB, text/plain)
2012-05-07 02:44 EDT, Stef Walter
no flags Details
File: maps (50.81 KB, text/plain)
2012-05-07 02:44 EDT, Stef Walter
no flags Details
File: dso_list (10.00 KB, text/plain)
2012-05-07 02:44 EDT, Stef Walter
no flags Details

  None (edit)
Description Stef Walter 2012-05-07 02:44:29 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evince '/data/downloads/Paketschein (1).pdf'
comment:        Selected a printer in the print dialog.
crash_function: gtk_printer_option_get_type
executable:     /usr/bin/evince
kernel:         3.3.4-4.fc17.x86_64
pid:            10102
pwd:            /data
remote_result:  NOTFOUND
time:           Mon 07 May 2012 08:38:40 AM CEST
uid:            1000
username:       stef

backtrace:      Text file, 25345 bytes
dso_list:       Text file, 10244 bytes
maps:           Text file, 52031 bytes

build_ids:
:92a26ae19d0be2b5859c8b97e0dce6ff5b7b8b69
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:52f5d89000c0a4e8bc840b198458db047fbd767b
:7716bc5c1738194dad6ec6679d05ae3782139288
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:52f0c5f25b95075e6fd7682763f7c3a779a4e889
:e435dfbd32ac16eff99db4353fd2fda45c6712c1
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:247132297f287226a24c12e683292f5c94013066
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:e3354959e32e471066df83c93f98f33e75198697
:742949d8200d6bfb817a16c88f7c7c6c1a773dae
:65d6febf790953f6049c9aa32c8d3ace76919080
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292
:731b3801f71de6bd888953161b715e6cbda0ab60
:d804f8ee47797da9213a92f00cd095ecada8d79f
:44174defe79b7afeae13d84e8fd127af1fd1b939
:4b044fe80e4c1b69986abc4b160c303048005d4e
:822e9b3523e8312240f41a25722d539bc77ed436
:ea5f97dd011ba5c6776baa140c736ad34afb7026
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:2ce57193598a6a03df5fd8553d22ddc43d002497
:5df5b54187568cf4a488586b0591dd7affab18ff
:0a688bf9160e6e3a2a8f41967f3c75094bca08a7
:bd0ac043ae8788e4131de24fa2becebf2ba97698
:ee7538132f578365c0774ef7dc789d8cba51aff7
:6419b38400feb8414d331a1f2deebb0012d0d72e
:87712be648d2d43ea4cd002fe7a859df636f1e13
:253afe744466fe7580bbb6040de6183dba9e2b02
:42675a8ad8f70ff19362070510cdf1ba202a70db
:c306bf372aaed77e754c4364068490d17c240a6d
:f7e3f883fe7aeedf060a22ad3b2f8e4badb179d4
:6deb3812c81a54ff67dfb571ec11486ce1957e81
:70c73977cdc2714f07bfb21fe3da7890a7c4c77e
:839c8e3a55bd7f61afdcfebeae52f9dadc3a69fb
:23290a83b84d7e1e2315956d69e946b3022badc8
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:9ea9b4fd0fc47b9ba19d393e1c1f70959654c6b8
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:4194f49481485f98de7853b6407338a4393171ac
:234d4eb1aa690c38533ef82f517b390255d3bc4d
:2d920fc18d5d62c399484534249b104e12049777
:faca16f15d87b83d2947a386e319b02f724dcbb5
:647c8183274c4626c81e86e7a631a81782a04e65
:f12cba63fcad46fbedf76188abc541b749504377
:3bf2fdd22eec3652e13474e7415167d3fb22babc
:a7a90d872ef72df12f4344a1a6fadb184e5c0cc8
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:a2d5b50b07df0fb9c52fcc682c6121d3e7276249
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:57daf604bef735ab18319f0436edd52ce4488a17
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:03a3531257193c88ade30f23f9dc93545fa5397d
:7c35310fc506498c612d5d982ab03becc4b4817c
:87163e16f54ab421bb34433e983acb30eb0c109f
:5c4f739dadc5059e12de9ba0d1d12a43d2fc86d7
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:c94e506ae611b0998870f6d191f2ee1972962309
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:1d4df97fa6024b097b634a272447243c95c26d85
:e0c3598d03aa1208d9f668669ccb7803a41d92ed
:38edf4fc362690a162fe96ed4866ed49fcf138c7
:e3f83e6ed76d65ff9d0d4aa5fcc7bf0c6bfaaadd
:8568e11bef79abaf14513d18a8559282d8dad34a
:30dcd9b8ed918d4a36d11e3822dd23882c9ed403
:7909c6de930371191ee0fc0b24f87a1a6df419c3
:b277af36744327e3d58eae76bcdaadcca71a28c6
:4025e40be183a90434d96be39eac8e08a6dd71e8
:e91010b497ec024178c36f4365b21f668bada0ca
:fce4569ceeae1e716f4efcc2334d057a178b4e1b
:235ee6c2e7235edffd40c3ed173d872b5baf0b6c
:591c7ebbd3f4b573e01caf6e462b01a226faa9cf
:127f8958b602715234a02b88adb08afd9e34c203
:2575710ca5c833e25595afa1a298db1ba27ae6d8
:508cf66f72e70054a41215f80ed2385c6bb80030
:c4c181c1d672eb8dbd52cccea05b15c7ae667c3d
:c411667445e6e78a133f1a65dba6623097c303b1
:835ece100ae7d8bb3c7f990b52f28ecdeb74975e
:42e2130628df6409e4177e6962bebe8f1d02cbe6
:2a34337df68bcebcf471d5e3362ac137ffea4527
:5f038f3fb1b1571769e7c9b79e025fe328052950
:7e1c87b6e36e94ecdd0a3ba2998c3da6191017b8
:1555b1de25ee9aa6770b016dc6b0fc0372c073bd
:59f886f23b3d86b886f9fdabe595eb35f3269692
:92629a2a6bf081d2ee647244de78538189e1347b
:ec93265a88494f4ae843b0b63b218926a19d2b2c
:6c08d8c9f6358200131cda5c9b563545d5c806ba
:54a5cc118d928470da13565de8592b664a9868e0
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/stef/2

core_backtrace:
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x2cf09f gtk_printer_option_get_type libgtk-3.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x2cf146 gtk_printer_option_new libgtk-3.so.0 -
:235ee6c2e7235edffd40c3ed173d872b5baf0b6c 0xf323 - libprintbackend-cups.so -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x2d920f - libgtk-3.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x116c9 g_cclosure_marshal_VOID__BOOLEANv libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf943 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x28cd0 g_signal_emit_by_name libgobject-2.0.so.0 -
:235ee6c2e7235edffd40c3ed173d872b5baf0b6c 0xacf0 - libprintbackend-cups.so -
:235ee6c2e7235edffd40c3ed173d872b5baf0b6c 0xd7c9 - libprintbackend-cups.so -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x475cc g_main_context_dispatch libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x479e8 - libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x47de2 g_main_loop_run libglib-2.0.so.0 -
:451ba2ad8accacf11ddc2946f8512e9fbb72b2c0 0x179585 gtk_main libgtk-3.so.0 -
:e435dfbd32ac16eff99db4353fd2fda45c6712c1 0x1c7b5 - [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=stef-desktop.thewalter.lan
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=10102
:MM_NOTTTY=1
:GPG_AGENT_INFO=/run/user/stef/keyring-GTZA3a/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:LOGIN_SITE=/data/projects/login-provider/site
:HISTSIZE=1000
:XDG_SESSION_COOKIE=13946642489734c5e44302c1000002dd-1336226988.680711-123592601
:GJS_DEBUG_OUTPUT=stderr
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/stef/keyring-GTZA3a
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=stef
:LD_LIBRARY_PATH=/opt/google/chrome:/opt/google/chrome/lib
:MEM_SITE=/data/projects/members/site
:MAILER_SITE=/data/projects/login-mailer/site
:SSH_AUTH_SOCK=/run/user/stef/keyring-GTZA3a/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1317,unix/unix:/tmp/.ICE-unix/1317
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evince.desktop
:MAIL=/var/spool/mail/stef
:PATH=/data/bin:/data/.local/bin:/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/data/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/data
:SANDBOX_LD_LIBRARY_PATH=/opt/google/chrome:/opt/google/chrome/lib
:JAVA_HOME=/opt/jdk_1.4.2/
:XMODIFIERS=@im=none
:EDITOR=vi
:GNOME_KEYRING_PID=1312
:LANG=en_US.utf8
:GDM_LANG=en_US.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/data
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:CHROME_WRAPPER=/opt/google/chrome/google-chrome
:LOGNAME=stef
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-PAPkL47Rdl,guid=7f8c5d10d693b80e2b871d8600000024
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:CHROME_VERSION_EXTRA=stable
:WINDOWPATH=1
:UDB_CONFFILE=/data/projects/udb-test/unit-test/udb.conf
:XDG_RUNTIME_DIR=/run/user/stef
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-stef-6yt1lw/database
:_=/usr/bin/gvfs-open

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63724                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63724                63724                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/data/.xsession-errors
:pos:	48766
:flags:	0102002
:2:/data/.xsession-errors
:pos:	48766
:flags:	0102002
:3:socket:[7167728]
:pos:	0
:flags:	02000002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[7167729]
:pos:	0
:flags:	02004002
:6:socket:[7164826]
:pos:	0
:flags:	02004002
:7:socket:[7164827]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:anon_inode:inotify
:pos:	0
:flags:	02004000
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:/data/.local/share/gvfs-metadata/home
:pos:	0
:flags:	0100000
:13:/data/.local/share/gvfs-metadata/home-07468ea6.log
:pos:	0
:flags:	0100000
:14:/dev/urandom
:pos:	0
:flags:	02100000
:15:socket:[7170508]
:pos:	0
:flags:	02000002
:16:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:17:socket:[7166457]
:pos:	0
:flags:	02004002
:18:socket:[7170664]
:pos:	0
:flags:	02000002
:19:/tmp/gtkprint_ppd_KC3MDW (deleted)
:pos:	11088
:flags:	0100002

var_log_messages:
:May  7 08:38:40 stef-desktop kernel: [53775.216796] evince[10102] general protection ip:3bed6cf09f sp:7fffc63f1428 error:7e88 in libgtk-3.so.0.400.1[3bed400000+471000]
:May  7 08:38:41 stef-desktop abrt[10128]: Saved core dump of pid 10102 (/usr/bin/evince) to /var/spool/abrt/ccpp-2012-05-07-08:38:40-10102 (78733312 bytes)
Comment 1 Stef Walter 2012-05-07 02:44:34 EDT
Created attachment 582541 [details]
File: backtrace
Comment 2 Stef Walter 2012-05-07 02:44:37 EDT
Created attachment 582542 [details]
File: maps
Comment 3 Stef Walter 2012-05-07 02:44:39 EDT
Created attachment 582543 [details]
File: dso_list
Comment 4 Stef Walter 2012-05-07 03:02:49 EDT
Selecting a printer in the print dialog

backtrace_rating: 4
Package: evince-3.4.0-2.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 5 Fedora End Of Life 2013-07-03 21:02:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:07:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.